/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include "Math/ByteSize.hpp"
#include <filesystem>

namespace OpenVulkano
{
	struct FsUtils
	{
		static bool DeleteEmptyDirs(const std::filesystem::path& dir, bool recursive = true);

		static bool DeleteEmptySubTrees(const std::filesystem::path& dir);

		static bool IsTreeEmpty(const std::filesystem::path& dir);
		
		static ByteSize GetDirSize(const std::filesystem::path& dir);
	};
}
